{{- with index .Values "ingress-nginx" -}}
{{- if .enabled -}}
apiVersion: networking.k8s.io/v1
kind: IngressClass
metadata:
  name: main
  annotations:
    ingressclass.kubernetes.io/is-default-class: "true"
    nginx.ingress.kubernetes.io/proxy-body-size: "200M"
    nginx.ingress.kubernetes.io/proxy-read-timeout: "600"
spec:
  controller: k8s.io/ingress-nginx
{{- end -}}
{{- end -}}
